%define basedir          %{_datadir}/icinga-L10n

Name:       icinga-l10n
Version:    1.0.0
Release:    1%{?dist}
Summary:    Icinga L10n
License:    GPLv2+
URL:        https://icinga.com
Source0:    https://github.com/Icinga/L10n/archive/v%{version}.tar.gz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}


%description
L10n (short for Localization) provides all translations available for Icinga.



%prep
%setup -q -n L10n-1.0.0


%build


%install
mkdir -p %{buildroot}/%{basedir}
cp *.md %{buildroot}/%{basedir}
cp COPYING %{buildroot}/%{basedir}
cp -prv locale %{buildroot}/%{basedir}
find %{buildroot}/%{basedir}/locale -name *.po -delete


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{basedir}
%doc README.md
%doc CONTRIBUTING.md


%changelog
