
Name:       nagios-plugins-rabbitmq
Version:    2.0.3
Release:    1%{?dist}
Summary:    Nagios scripts for RabbitMQ

License:    ASL 2.0
URL:        https://github.com/nagios-plugins-rabbitmq/nagios-plugins-rabbitmq/
Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:  noarch
Patch0:     0001-track-codes-in-all-cases-66.patch
Patch1:     0002-don-t-rise-critical-error-when-used-is-0.patch
Patch2:     0003-Improve-the-cluster-check-script-to-make-more-nagios.patch
Patch3:     0004-Update-check_rabbitmq_cluster.cfg-74.patch
Patch4:     0005-If-a-queue-is-not-found-report-an-UNKNOWN-status-75.patch
Patch5:     0006-Add-descriptive-text-about-the-order-of-thresholds-8.patch
Patch6:     0007-minor-docs-fixes-79.patch
Patch7:     0008-Add-.-to-character-class-for-hostnames-to-accommodat.patch
Patch8:     0009-check_rabbitmq_cluster-return-correctly-excluded-nod.patch
Patch9:     0010-Fix-to-handle-shovels-in-connections-list-on-shovel-.patch
Patch10:    lib-lib64.patch

BuildRequires: rsync
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Monitoring::Plugin)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(JSON)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Getopt::Long)
Requires: perl(Monitoring::Plugin)
Requires: perl(LWP::UserAgent)
Requires: perl(URI::Escape)
Requires: perl(JSON)
Requires: perl(Data::Dumper)
Requires: perl(Pod::Usage)
Requires: perl(Getopt::Long)


%description
This package contains a set of nagios checks useful for monitoring a
RabbitMQ server. They use the RabbitMQ management interface over HTTP
and therefore have a very light profile on the Nagios server.


%prep
%autosetup -p1 -n %{name}-%{version}



%build
make %{?_smp_mflags} build


%install
%make_install


%files
%doc README.md
%license LICENSE.txt
%{_sysconfdir}/nagios-plugins/config/*
%{_sysconfdir}/nrpe.d/*
/usr/lib64/nagios/plugins-rabbitmq/*


%changelog
* Tue Apr 23 2019 Jeremy Cline <jcline@redhat.com> - 2.0.3-1
- Initial package
